document.addEventListener('DOMContentLoaded', event => {
    protobuf.load("/protos/cofd.proto").then(function(root) {
        console.log("root is", root);
        let CofdSheet = root.lookupType("models.proto.cofd.CofdSheet");
        let sheet = CofdSheet.fromObject({ name: 'lol', strength: 100 });
        let buffer = CofdSheet.encode(sheet).finish();

        fetch('/proto-test', {
            method: 'POST',
            body: buffer
        }).then(async resp => {
            console.log("resp is", await resp.text());
        }).catch(async err => {
            console.log("err is", err.text());
        });
    });
});
